Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/caladvtrac_mod.F90	(revision 3605)
@@ -44,5 +44,7 @@
     CALL allocate_u(massem,llm,d)
     CALL allocate_u(pbaruc,llm,d)
+    pbaruc(:,:)=0
     CALL allocate_v(pbarvc,llm,d)
+    pbarvc(:,:)=0
     CALL allocate_u(pbarug,llm,d)
     CALL allocate_v(pbarvg,llm,d)
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_calfis_mod.F90	(revision 3605)
@@ -52,5 +52,7 @@
     CALL allocate_u(p,llmp1,d)
     CALL allocate_u(pks,d)
+    pks(:)=0
     CALL allocate_u(pk,llm,d)
+    pk(:,:)=0
     CALL allocate_u(pkf,llm,d)
     CALL allocate_u(phi,llm,d)
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/call_dissip_mod.F90	(revision 3605)
@@ -31,5 +31,7 @@
 
     CALL allocate_u(ucov,llm,d)
+    ucov(:,:)=0
     CALL allocate_v(vcov,llm,d)
+    vcov(:,:)=0
     CALL allocate_u(teta,llm,d)
     CALL allocate_u(p,llmp1,d)
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/conf_gcm.F90	(revision 3605)
@@ -25,5 +25,5 @@
   USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
                        alphax,alphay,taux,tauy
-  USE temps_mod, ONLY: calend
+  USE temps_mod, ONLY: calend, year_len
 
   IMPLICIT NONE
@@ -144,5 +144,16 @@
   !Config         
   calend = 'earth_360d'
+! initialize year_len for aquaplanets and 1D
   CALL getin('calend', calend)
+     if (calend == 'earth_360d') then
+        year_len=360
+      else if (calend == 'earth_365d') then
+        year_len=365
+      else if (calend == 'earth_366d') then
+        year_len=366
+      else 
+        year_len=1
+      endif
+  
 
   !Config  Key  = dayref
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/gcm.F90	(revision 3605)
@@ -233,4 +233,6 @@
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
   if (.not.read_start) then
+     start_time=0.
+     annee_ref=anneeref
      CALL iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
   endif
@@ -368,4 +370,27 @@
 
   !-----------------------------------------------------------------------
+  !   Initialisation des I/O :
+  !   ------------------------
+
+
+  if (nday>=0) then
+     day_end = day_ini + nday
+  else
+     day_end = day_ini - nday/day_step
+  endif
+
+  WRITE(lunout,300)day_ini,day_end
+300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+#ifdef CPP_IOIPSL
+  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+  write (lunout,301)jour, mois, an
+  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+  write (lunout,302)jour, mois, an
+301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
+302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+#endif
+
+  !-----------------------------------------------------------------------
   !   Initialisation de la physique :
   !   -------------------------------
@@ -381,27 +406,4 @@
   ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
 
-
-  !-----------------------------------------------------------------------
-  !   Initialisation des I/O :
-  !   ------------------------
-
-
-  if (nday>=0) then
-     day_end = day_ini + nday
-  else
-     day_end = day_ini - nday/day_step
-  endif
-
-  WRITE(lunout,300)day_ini,day_end
-300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
-
-#ifdef CPP_IOIPSL
-  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-  write (lunout,301)jour, mois, an
-  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-  write (lunout,302)jour, mois, an
-301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
-302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
 
   !      if (planet_type.eq."earth") then
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/guide_loc_mod.F90	(revision 3605)
@@ -1212,5 +1212,5 @@
               enddo
             endif
-            if (pole_nord) then
+            if (pole_sud) then
               do i=1,iip1
                 qgui1(ip1jm+i,l)=qgui1(ip1jm+1,l) 
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/iniacademic_loc.F90	(revision 3605)
@@ -101,5 +101,5 @@
   time_0=0.
   day_ref=1
-  annee_ref=0
+  ! annee_ref=0
 
   im         = iim
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/integrd_mod.F90	(revision 3605)
@@ -23,4 +23,5 @@
     CALL allocate_u(deltap,llm,d)
     CALL allocate_u(ps,d)
+    ps(:)=0
 
     
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/leapfrog_loc.F	(revision 3605)
@@ -29,5 +29,9 @@
        USE call_dissip_mod, ONLY : call_dissip
        USE call_calfis_mod, ONLY : call_calfis
-       USE leapfrog_mod
+       USE leapfrog_mod, ONLY : ucov,vcov,teta,ps,masse,phis,q,dq
+     & ,ucovm1,vcovm1,tetam1,massem1,psm1,p,pks,pk,pkf,flxw
+     & ,pbaru,pbarv,du,dv,dteta,phi,dp,w
+     & ,leapfrog_allocate,leapfrog_switch_caldyn,leapfrog_switch_dissip
+
        use exner_hyb_loc_m, only: exner_hyb_loc
        use exner_milieu_loc_m, only: exner_milieu_loc
@@ -1535,5 +1539,7 @@
 
 #ifdef INCA
-         call finalize_inca
+         if (type_trac == 'inca') then 
+            call finalize_inca
+         endif
 #endif
 
@@ -1583,5 +1589,7 @@
 
 #ifdef INCA
-              call finalize_inca
+              if (type_trac == 'inca') then 
+                 call finalize_inca
+              endif
 #endif
 
@@ -1732,5 +1740,7 @@
 
 #ifdef INCA
-                 call finalize_inca
+                 if (type_trac == 'inca') then 
+                    call finalize_inca
+                 endif
 #endif
 
@@ -1820,5 +1830,7 @@
 
 #ifdef INCA
-      call finalize_inca
+      if (type_trac == 'inca') then 
+         call finalize_inca
+      endif
 #endif
 
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/temps_mod.F90	(revision 3605)
@@ -13,4 +13,5 @@
   INTEGER   annee_ref
   INTEGER   day_ref
+  INTEGER   year_len
   REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
   REAL      jD_ref ! reference julian day date (beginning of experiment)
Index: LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/libf/dyn3dmem/vlsplt_loc.F	(revision 3605)
@@ -19,4 +19,5 @@
       include "dimensions.h"
       include "paramet.h"
+      include "iniprint.h"
 c
 c
@@ -872,4 +873,5 @@
       include "dimensions.h"
       include "paramet.h"
+      include "iniprint.h"
 c
 c
@@ -1027,5 +1029,7 @@
       ELSE ! countcfl>=1
 
-      PRINT*,'vlz passage dans le non local'
+      IF (prt_level>9) THEN
+        WRITE(lunout,*)'vlz passage dans le non local'
+      ENDIF
 c ---------------------------------------------------------------
 c  Debut du traitement du cas ou on viole le CFL : w > masse
@@ -1059,5 +1063,7 @@
 c  le critère
       DO WHILE (countcfl>=1) 
-      print*,'On viole le CFL Vertical sur ',countcfl,' pts'
+        IF (prt_level>9) THEN
+          WRITE(lunout,*)'On viole le CFL Vertical sur ',countcfl,' pts'
+        ENDIF
       countcfl=0
 
